#include "VTKTutorialPluginFactory.h"
#include "VTKTutorialPlugin.h"

#include <QtPlugin>

VTKTutorialPluginFactory::VTKTutorialPluginFactory()
{
}

VTKTutorialPluginFactory::~VTKTutorialPluginFactory()
{
}

ritk::ApplicationPlugin*
VTKTutorialPluginFactory::CreateInstance()
{
	return new VTKTutorialPlugin();
}

QString
VTKTutorialPluginFactory::GetName()
{
	return tr("VTKTutorialPlugin");
}

QString
VTKTutorialPluginFactory::GetDescription()
{
	return tr("How to use VTK with range data");
}



Q_EXPORT_PLUGIN2(VTKTutorialPlugin, VTKTutorialPluginFactory)

